%define anolis_release 1

%global debug_package %{nil}
%global _description \
This is a very simple decorator and function which populates a  \
module's __all__ and optionally the module globals.  \
This provides both a pure-Python implementation and a C implementation.  \
It is proposed that the C implementation be added to built-ins for  \
Python 3.6.


Name:           python-atpublic
Version:        3.1.1
Release:        %{anolis_release}%{?dist}
Summary:        Decorator for populating a Python module's __all__

License:        Apache-2.0
URL:            https://gitlab.com/warsaw/public
Source:         %pypi_source atpublic

Patch:          disable_cov.patch

BuildRequires:  gcc
BuildRequires:  python3-devel
# for tests
BuildRequires:  python3-pytest
BuildRequires:  python3-sybil

%description %{_description}


%package -n python3-atpublic
Summary:        %{summary}
Requires:       python3-setuptools

%description -n python3-atpublic %{_description}

%package -n python3-atpublic-doc
Summary:        %{summary}
Requires:       python3-atpublic = %{version}-%{release}
Buildarch:      noarch

%description -n python3-atpublic-doc %{_description}

%prep
%autosetup -n atpublic-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
export ATPUBLIC_BUILD_EXTENSION=1
%pyproject_wheel


%install
export ATPUBLIC_BUILD_EXTENSION=1
%pyproject_install
%pyproject_save_files public

echo "%%{python3_sitelib}/atpublic-%{version}.dist-info/licenses/LICENSE" >> %{pyproject_files}


%check
%pytest


%files -n python3-atpublic -f %{pyproject_files}
%license LICENSE

%files -n python3-atpublic-doc
%doc README.rst docs/

%changelog
* Sat May 06 2023 Funda Wang <fundawang@yeah.net> - 3.1.1-1
- Import package for anolis 23
